servers.configureCredential
POST
/servers/{serverId}/credentials
const url = 'https://example.com/api/servers/example/credentials';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"credential":{"kind":"local-ssh-agent","username":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/servers/example/credentials \ --header 'Content-Type: application/json' \ --data '{ "credential": { "kind": "local-ssh-agent", "username": "example" } }'Configures the SSH credential Appaloft uses for server connectivity and deployment. Public docs: /docs/servers/credentials/ssh-keys/#server-ssh-credential-path
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” serverId
required
string
Request Body required
Section titled “Request Body required ”Responses
Section titled “ Responses ”OK
Media type application/json
null
Example generated
example